:root{
    --blanco: #ffffff;
    --obscuro: #212121;
    --primario: #FFC107;
    --secundario: #0097A7;
    --gris: #757575;
    --grisClaro: #DFE9F3;
}

/*  Globales **/
html {
    font-size: 62.5%;
    box-sizing: border-box; /* Hack para Box Model **/
}

/* Tipografia */
h1{
    font-size: 3.8rem;
}
h2{
    font-size: 2.8rem;
}
h3{
    font-size: 1.8rem;
}
h1,h2,h3{
    text-align: center;
}
p{
    text-align: justify;
}

/* Navegación principal */
.navegacion-principal {
    scroll-snap-align: center;
    scroll-snap-stop: always;
    display: flex; /*Habilita flexbox en este elemento*/
    flex-direction: column; /*Ordena en columna el contenido*/
}
.nav-bg{
    background-color: var(--secundario);
}

@media (min-width: 480px) {
    .navegacion-principal {
        flex-direction: row; /*Ordena en renglon el contenido*/
    }
}
.navegacion-principal a{
    width: 100%;
    /*display:block; Utiliza todo el espacio disponible*/
    text-align: center;
    color: var(--blanco);
    text-decoration: none;
    font-size: 2rem;
    font-weight: 700;
    padding: 1rem;
}

.navegacion-principal a:hover{
    /* Se añade el evento ':hover' al enlace 'a' */
    background-color: var(--primario);
    color: var(--obscuro);
}


/** Scroll Snap**/

.formulario {
    scroll-snap-align: start;
    scroll-snap-stop: always;
}
body {
    font-size: 16px;
    font-family: 'Krub',sans-serif;
    background-image: linear-gradient(to top, var(--grisClaro) 0%, var(--blanco) 100%);
    /*Color de fondo degradado desde abajo a arriba*/
}

/** Contacto **/
.formulario{
    background-color: var(--gris);
    width: min(60rem, 100%);
    /*Compara el tamaño y utiliza el valor más pequeño*/
    margin: 0 auto;
    padding: 2rem;
    border: 1rem;  
}
.formulario fieldset{
    border: node;
}
.formulario legend{
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: var(--primario);
}

@media (min-width: 768px) {
    .contenedor-campos {
        display: grid;
        grid-template-columns: 50% 50%;
        grid-template-rows: auto auto 20rem ;
        column-gap: 1rem;
    }

    .campo:nth-child(3),
    .campo:nth-child(4) {
        grid-column: 1 / 3;
    }
}
.campo{
    margin-bottom: 1rem;
}
.campo label{
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}
.input-text {
    width: 100%;
    border: none;
    padding: 1.5rem 0 1.5rem 0;
    border-radius: .5rem;
    text-align: center;
}